Bug 57705

Summary: RemoteAddrValve: no log message no explanation when valve rejects request
Product: Tomcat 7 Reporter: Graham Leggett <minfrin>
Component: CatalinaAssignee: Tomcat Developers Mailing List <dev>
Status: RESOLVED FIXED    
Severity: enhancement Keywords: PatchAvailable
Priority: P2    
Version: 7.0.59   
Target Milestone: ---   
Hardware: PC   
OS: Mac OS X 10.1   
Attachments: Add debug log when request is denied

Description Graham Leggett 2015-03-14 13:35:04 UTC
When the RemoteAddrValve denies a request, no message is logged, and no explanation appears in the generated HTML page.

There needs to be some indication that the RemoteAddrValve is involved so the admin isn't sent on a wild goose chase.
Comment 1 Mark Thomas 2015-03-14 14:26:47 UTC
Patches welcome.
Comment 2 Graham Leggett 2015-03-15 12:16:58 UTC
Created attachment 32570 [details]
Add debug log when request is denied

Patch added as requested, should this message be at debug level or at notice level?

A rejected request is usually the kind of thing you'd expect to be logged visibly.
Comment 3 Mark Thomas 2016-06-16 13:04:44 UTC
Thanks for the patch.

I applied a variantion that modified both the Valves and the Filters.

The new debug logging has been implemnted in:
- 9.0.x for 9.0.0.M9 onwards
- 8.5.x for 8.5.4 onwards
- 8.0.x for 8.0.37 onwards
- 7.0.x for 7.0.71 onwards